/**************************************/
/********** TEMPLATE MODULES **********/
/**************************************/

.template-module {
	margin: 50px 0;
    position: relative;
    font-size: 0;
}

.template-module:first-child {
	margin-top: 0;
}
.template-module:last-child {
	margin-bottom: 0;
}

.template-module .row {
	margin: 40px -5px;
}
.template-module .row > div {
	padding: 10px 5px;
}

.template-module a:not(.button) {
    display: inline-block;
    overflow: hidden;
}

.template-module img {
	display: block;
	margin: 0 auto;
}
.template-module > img {
	width: 100%;
}
.template-module a[href] img {
	transition: inherit;
}
.template-module a[href]:hover img {
	transform: scale(1.05);
}


@media(min-width: 768px) {
	.template-module {
		margin: 80px 0;
	}
}

@media(min-width: 992px) {
	.template-module {
		margin: 100px 0;
	}
	
	.template-module .row {
		margin: -10px;
	}
	.template-module .row > div {
		padding: 10px;
	}
}


/**************************************/
/********** MODULE 1: SLIDER **********/
/**************************************/

.template-module .slider-wrapper {
    position: relative;
}

.template-module .slider:not(.slick-slider) {
    display: flex;
    overflow: hidden;
}
.template-module .slider:not(.slick-slider) > .slide {
    flex-basis: 100%;
    min-width: 100%;
}

.template-module .slider .slide {
	position: relative;
}

.template-module .slider .image,
.template-module .image.video {
	position: relative;
	padding-top: 56.25%;
	background-color: white;
}
.template-module .slider .image img {
	position: absolute;
	top: 0;bottom:0;
	left: 0;right: 0;
	max-width: 100%;
	max-height: 100%;
	margin: auto;
}

.template-module .slider .legend {
	padding: 10px 40px;
	text-align: center;
	position: relative;
    background-color: white;
    pointer-events: none;
}
.template-module .slider .legend p {
    text-align: center;
    margin: .25em 0;
}
.template-module .slider-wrapper.no-bar .slider .legend {
    position: absolute;
    top: 0;bottom: 0;
    left: 0;right: 0;
    background: linear-gradient(to top, rgba(0, 0, 0, .4) 0%, transparent 100%);
    display: flex;
    align-items: flex-end;
    justify-content: center;
    z-index: 1;
}
.template-module .slider-wrapper.no-bar .slider .legend p {
    color: white;
}
.template-module .slider-wrapper.no-bar .slider .video + .legend {
    background: transparent;
}


.template-module .slider-arrows {
	position: absolute;
    top: 0;bottom: 0;
    left: 0;right: 0;
    padding-top: 56.25%;
    display: flex;
	align-items: center;
	pointer-events: none;
}


.template-module .slider-arrows > div {
	cursor: pointer;
	position: absolute;
	top: 0;bottom: 0;
	width: 17px;
	height: 32px;
	font-size: 0;
	margin: auto;
	pointer-events: auto;
	background-image: url(/assets/img/chevron-black.svg);
    background-repeat: no-repeat;
}

.template-module .slider-arrows > div.prev {
	left: 10px;
    transform: rotate(180deg);
}
.template-module .slider-arrows > div.next {
	right: 10px;
}


@media(min-width: 768px) {
	.template-module .slider-arrows > div {
		width: 27px;
		height: 49px;
	}
}

@media(min-width: 992px) {
	.template-module .slider .legend {
		padding: 20px 80px;
	}
	
	.template-module .slider-arrows > div {
		width: 27px;
		height: 49px;
	}
	.template-module .slider-arrows > div.prev {
		left: 30px;
	}
	.template-module .slider-arrows > div.next {
		right: 30px;
	}
}


/**************************************************/
/********** MODULE 2 & 3: TEXT AND IMAGE **********/
/**************************************************/

.template-module.wrap::before,
.template-module.wrap::after {
    content: "";
    display: table;
    clear: both;
}

.template-module.wrap img + h2,
.template-module.wrap img + h3,
.template-module.wrap img + h4,
.template-module.wrap img + p,
.template-module.wrap img + ul,
.template-module.wrap img + ol {
    margin-top: 0;
}

.template-module.module2.wrap img,
.template-module.module3.wrap img {
	max-width: 100%;
	float: none;
	padding: 0 0 15px 0;
}

.template-module.module2 .row > div:first-child {
    padding-right: 15px;
}

.template-module.module3 .row > div:last-child {
    padding-left: 15px;
}


@media(min-width: 768px) {
	.template-module.module2.wrap img,
	.template-module.module3.wrap img {
		max-width: calc(50% + 45px);
	}

	.template-module.module2.wrap img {
		/* padding: 0 0 45px 55px; */
		padding: 0 0 0 55px;
		float: right;
	}
	.template-module.module3.wrap img {
		/* padding: 0 55px 45px 0; */
		padding: 0 55px 0 0;
		float: left;
	}	

	.template-module.module2 .row > div:first-child {
		padding-right: 45px;
	}
	
	.template-module.module3 .row > div:last-child {
		padding-left: 45px;
	}
}


/**********************************************************/
/********** MODULE 4, 5, 6 & 7: IMAGE AND LEGEND **********/
/**********************************************************/

.template-module.module4 p,
.template-module.module5 p,
.template-module.module6 p,
.template-module.module7 p {
    margin-left: auto;
	margin-right: auto;
	padding: 0 20px 0;
}

@media(min-width: 768px) {
	.template-module.module4 p,
    .template-module.module5 p,
    .template-module.module6 p,
    .template-module.module7 p {
        width: 75%;
        padding: 0 10px 0;
    }
}


/**************************************************/
/********** MODULE 10 & 11: TEXT COLUMNS **********/
/**************************************************/

.template-module.module10 .row,
.template-module.module11 .row {
	display: flex;
	margin: -10px -25px;
}

.template-module.module10 .row > div,
.template-module.module11 .row > div {
	float: none !important;
	padding: 10px 25px;
	flex: 0 0 100%;
	max-width: 100% !important;
}


@media(min-width: 768px) {
    .template-module.module10 .row > div {
		flex: 0 0 50%;
		max-width: 50% !important;
		width: auto !important;
	}
	.template-module.module11 .row > div {
		flex: 0 0 33.333%;
		max-width: 33.333% !important;
		width: auto !important;
	}
}


/***************************************************************************************/
/********** MODULE 4 + 10 FUSION & MODULE 5 + 11 FUSION: TEXT + IMAGE COLUMNS **********/
/***************************************************************************************/

.template-module.module4.module10 p,
.template-module.module5.module11 p {
	margin-left: 0;
	margin-right: 0;
	padding: 0;
	width: auto;
}


@media(max-width: 767px) {
	.template-module.module4.module10 .row,
	.template-module.module5.module11 .row {
		margin: -15px -25px;
	}

	.template-module.module4.module10 .row > div,
	.template-module.module5.module11 .row > div {
		padding: 15px 25px;
	}
}

@media(min-width: 992px) {
	.template-module.module4.module10 a.button,
	.template-module.module5.module11 a.button {
		padding: 22px 30px;
		margin-top: 5px;
	}
}

/******************************************************************/
/********** MODULE 12: VIDEO & MODULE 1: SLIDER w/ video **********/
/******************************************************************/

.template-module .video::before {
    content: "";
    position: absolute;
    top: 0;bottom: 0;
    left: 0;right: 0;
    background-color: rgba(0, 0, 0, .75);
    z-index: 1;
}

.template-module .image.video img {
	position: absolute;
	top: 50px;left: 50px;
	transform: translate(-50%, -50%);
	min-width: 100%;
	min-height: 100%;
}
@supports(object-fit: cover) {
	.template-module .image.video img {
		top: 0;left: 0;
		transform: none;
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
}

.template-module .video iframe {
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
	width: 100%;
	height: 100%;
    border: 0;
    opacity: 0;
    pointer-events: none;
    z-index: 2;
}
.template-module .video.open iframe {
	opacity: 1;
	pointer-events: auto
}

.template-module .video a {
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
	margin: auto;
	width: 50px;
	height: 50px;
	border: 2px solid white;
	border-radius: 100%;
    opacity: .75;
    z-index: 1;
}
.template-module .video a:hover {
	opacity: 1;
}
.template-module .video a:before {
	content: "";
	position: absolute;
	top: 0;bottom: 0;
	left: 0;right: 0;
	margin: auto;
	background-image: url(/assets/img/play-white.svg)
}

.template-module .video + p.text-center {
    position: absolute;
    bottom: 0;
    left: 20px;right: 20px;
    margin: 1em auto;
    color: white;
    z-index: 1;
}


@media(min-width: 768px) {
	.template-module .video a {
		width: 70px;
		height: 70px;
		border-width: 4px
	}
}

@media(min-width: 992px) {
	.template-module .video a {
		width: 90px;
		height: 90px;
	}
}


/*****************************************************/
/********** MODULE 19: CALL TO ACTION (CTA) **********/
/*****************************************************/

.template-module .cta {
    display: flex;
    position: relative;
	width: 100%;
	padding: 20px;
    background: linear-gradient(to right, black 0%, var(--darkgrey) 100%);
}
.template-module .cta::before {
    content: "";
    position: absolute;
    bottom: 20px;
    right: 20px;
    width: 52px;
    height: 24px;
    margin: auto;
    background-image: url(/assets/img/arrow-white.svg);
    background-size: contain;
    background-repeat: no-repeat;
    transition: inherit;
    will-change: transform;
}
.template-module .cta:hover::before {
    transform: translateX(5px);
}

.template-module .cta h3,
.template-module .cta .h3 {
    font-weight: 300;
    color: white;
	line-height: 1.4;
	padding-bottom: 45px;
}


@media(min-width: 768px) {
    .template-module .cta {
        padding: 25px 30px;
    }
    .template-module .cta::before {
		right: 30px;
    }

    .template-module .cta .h3 {
        padding: 0;
        padding-right: 100px;
    }
}

@media(min-width: 992px) {
    .template-module .cta {
		padding: 28px 40px;
    }
    .template-module .cta::before {
		top: 0;bottom: 0;
	   	right: 40px;
    }

    .template-module .cta .h3 {
		padding-right: 130px   
    }
}